GCLOUD_CONTAINER_CLUSTERS_UPDATE(1)

NAME

gcloud container clusters update - update cluster settings for an existing container cluster

SYNOPSIS

gcloud container clusters update NAME (--monitoring-service=MONITORING_SERVICE | --update-addons=[ADDON=ENABLED|DISABLED,...]) [--async] [--node-pool=NODE_POOL] [--wait] [--zone=ZONE, -z ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Update cluster settings for an existing container cluster.

POSITIONAL ARGUMENTS

    NAME
        The name of the cluster to update.

REQUIRED FLAGS
Exactly one of these must be specified:

    --monitoring-service=MONITORING_SERVICE
        The monitoring service to use for the cluster. Options are: "monitoring.googleapis.com" (the Google Cloud Monitoring service), "none" (no metrics will be exported from the cluster)

    --update-addons=[ADDON=ENABLED|DISABLED,...]
        Cluster addons to enable or disable. Options are HorizontalPodAutoscaling=ENABLED|DISABLED HttpLoadBalancing=ENABLED|DISABLED

OPTIONAL FLAGS

    --async
        Don't wait for the operation to complete.

    --node-pool=NODE_POOL
        Node pool to be updated.

    --wait
        DEPRECATED, use --no-async. Poll the operation for completion after issuing a create request.

    --zone=ZONE, -z ZONE
        The compute zone (e.g. us-central1-a) for the cluster. Overrides the default compute/zone property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.